org.eclipse.jdt.apt.core.env

## Enum Phase

- java.lang.Object
- - java.lang.Enum<Phase>
  - - org.eclipse.jdt.apt.core.env.Phase

All Implemented Interfaces:
  Serializable, Comparable<Phase>

    public enum Phase
    extends Enum<Phase>

Enum for APT related operation phase.

See Also:
  `EclipseAnnotationProcessorEnvironment.getPhase()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUILD` During Build phase
`OTHER` Neither reconcile nor build.
`RECONCILE` During Reconcile phase

### Method Summary

All Methods Static Methods Concrete Methods
`static Phase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Phase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RECONCILE

    public static final Phase RECONCILE

During Reconcile phase

#### BUILD

    public static final Phase BUILD

During Build phase

#### OTHER

    public static final Phase OTHER

Neither reconcile nor build. Completion would be an example.

### Method Detail

#### values

    public static Phase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Phase c : Phase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Phase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null